Package weka.gui.treevisualizer

# Class NamedColor

java.lang.Object
weka.gui.treevisualizer.NamedColor

public class NamedColor extends Object
This class contains a color name and the rgb values of that color

Version:
  $Revision: 7059 $
Author:
  Malcolm Ware (mfw4@cs.waikato.ac.nz)

## Field Summary

Fields
Modifier and Type
Field
Description
`Color`
`m_col`
The actual color object
`String`
`m_name`
The name of the color

## Constructor Summary

Constructors
Constructor
Description
`NamedColor(String n, int r, int g, int b)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### m_name

public String m_name
The name of the color

### m_col

public Color m_col
The actual color object

## Constructor Details

### NamedColor

public NamedColor(String n, int r, int g, int b)

Parameters:
  `n` - The name of the color.
  `r` - The red component of the color.
  `g` - The green component of the color.
  `b` - The blue component of the color.